Bug 858768 - [abrt] xcb_io.c:273: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed
[abrt] xcb_io.c:273: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lo...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bleachbit (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:1b940ee49ea677d370f0be4ea7d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 12:07 EDT by Eleggua
Modified: 2013-01-24 00:56 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-24 00:56:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (2.39 KB, text/plain)
2012-09-19 12:07 EDT, Eleggua
no flags Details
File: environ (263 bytes, text/plain)
2012-09-19 12:07 EDT, Eleggua
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-19 12:07 EDT, Eleggua
no flags Details
File: backtrace (26.53 KB, text/plain)
2012-09-19 12:07 EDT, Eleggua
no flags Details
File: cgroup (130 bytes, text/plain)
2012-09-19 12:07 EDT, Eleggua
no flags Details
File: maps (35.29 KB, text/plain)
2012-09-19 12:07 EDT, Eleggua
no flags Details
File: dso_list (11.15 KB, text/plain)
2012-09-19 12:07 EDT, Eleggua
no flags Details
File: open_fds (784 bytes, text/plain)
2012-09-19 12:07 EDT, Eleggua
no flags Details
File: var_log_messages (158 bytes, text/plain)
2012-09-19 12:07 EDT, Eleggua
no flags Details

  None (edit)
Description Eleggua 2012-09-19 12:07:15 EDT
Version-Release number of selected component:
python-2.7.3-7.2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        python /usr/bin/bleachbit
crash_function: poll_for_event
kernel:         3.5.3-1.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #5 poll_for_event at xcb_io.c
: #6 poll_for_response at xcb_io.c
: #7 _XEventsQueued at xcb_io.c
: #8 _XFlush at xcb_io.c
: #9 XFlush at Flush.c
: #10 gdk_display_flush at gdkdisplay-x11.c
: #11 flush_all_displays at gdkwindow.c
: #12 gdk_window_process_all_updates at gdkwindow.c
: #13 gtk_container_idle_sizer at gtkcontainer.c
: #20 gtk_main at gtkmain.c
Comment 1 Eleggua 2012-09-19 12:07:19 EDT
Created attachment 614448 [details]
File: core_backtrace
Comment 2 Eleggua 2012-09-19 12:07:22 EDT
Created attachment 614449 [details]
File: environ
Comment 3 Eleggua 2012-09-19 12:07:23 EDT
Created attachment 614450 [details]
File: limits
Comment 4 Eleggua 2012-09-19 12:07:25 EDT
Created attachment 614451 [details]
File: backtrace
Comment 5 Eleggua 2012-09-19 12:07:27 EDT
Created attachment 614452 [details]
File: cgroup
Comment 6 Eleggua 2012-09-19 12:07:29 EDT
Created attachment 614453 [details]
File: maps
Comment 7 Eleggua 2012-09-19 12:07:31 EDT
Created attachment 614454 [details]
File: dso_list
Comment 8 Eleggua 2012-09-19 12:07:33 EDT
Created attachment 614455 [details]
File: open_fds
Comment 9 Eleggua 2012-09-19 12:07:34 EDT
Created attachment 614456 [details]
File: var_log_messages
Comment 10 Dave Malcolm 2012-10-09 11:49:58 EDT
Thanks for filing this bug report.

Looking at attachment 614451 [details] I see that this assertion failed:
xcb_io.c:273: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed

whilst running /usr/bin/bleachbit

What is the output of:

   rpm -q bleachbit


Reassigning from "python" to "bleachbit"
Comment 11 Oz_ 2013-01-13 05:19:01 EST
On Fedora 18 (fresh netinstall from rc4 iso) Minitube 1.9 (installed form rpmfusion) always crashes before video play.
Starting minitube from terminal gives these errors:

Playing "/tmp/minitube-1128076021-xxxxx"
[xcb] Unknown sequence number while processing queue
[xcb] Most likely this is a multi-threaded client and XInitThreads has not been called
[xcb] Aborting, sorry about that.
minitube: xcb_io.c:273: poll_for_event: Assertion `!xcb_xlib_threads_sequence_lost' failed.

Minitube: minitube-1.9.0-1.fc18.i686
Python: python-2.7.3-13.fc18.i686
Kernel: 3.6.11-3.fc18.i686

Note You need to log in before you can comment on or make changes to this bug.